

#include "ch57x_drv_ledc.h"



void ch57x_led_controller_init(ch57x_led_out_mode_t mode,uint8_t led_clk_div) {
    //set clock
    R8_LED_CLOCK_DIV  = led_clk_div;
    R8_LED_CTRL_MOD = 0;
    R8_LED_CTRL_MOD |= (mode<<6);
    R8_LED_CTRL_MOD |= RB_LED_BIT_ORDER ;
}
//out enable
void ch57x_led_controller_out_enable(void){
    R8_LED_CTRL_MOD |= RB_LED_OUT_EN;
}

//dma stop
void ch57x_led_controller_dma_stop(void) {
    R8_LED_CTRL_MOD &= ~(RB_LED_DMA_EN);
}

//*data for main dma 
//*data_aux for dma_aux
//length = sizeof(data)/2 
void ch57x_led_controller_send(uint8_t *data,uint8_t *data_aux,uint16_t length) {
    
    R16_LED_DMA_MAIN = (uint16_t)((uint32_t)(data)&0xffff);
    if(data_aux != NULL) {
        R16_LED_DMA_AUX = (uint16_t)((uint32_t)(data_aux)&0xffff);
    }
    R32_LED_DMA_CNT = length;
    if(!(R8_LED_CTRL_MOD & RB_LED_DMA_EN )){
        R8_LED_CTRL_MOD |= RB_LED_DMA_EN;
        __nop();	
        __nop();
    }
}
